"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoggingLevel = void 0;
var _InstrumentationModule = _interopRequireDefault(require("../../native/InstrumentationModule.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var LoggingLevel = exports.LoggingLevel = function (LoggingLevel) {
  LoggingLevel[LoggingLevel["VERBOSE"] = _InstrumentationModule.default.getConstants().LOGGING_LEVEL_VERBOSE] = "VERBOSE";
  LoggingLevel[LoggingLevel["INFO"] = _InstrumentationModule.default.getConstants().LOGGING_LEVEL_INFO] = "INFO";
  LoggingLevel[LoggingLevel["NONE"] = _InstrumentationModule.default.getConstants().LOGGING_LEVEL_NONE] = "NONE";
  return LoggingLevel;
}(LoggingLevel || {});
/**
 * Configuration parameters of the AppDynamics SDK.
 *
 * Most users can set up their configuration like this:
 *
 * ```js
 * Instrumentation.start({
 *      appKey: "ABC-DEF-GHI", // Replace with your actual application key
 * });

 *
 * The other parameters let you tune advanced features of the agent. Learn more about these concepts in the
 * [official documentation](https://docs.appdynamics.com/display/PRO45/Mobile+Real+User+Monitoring).
 */
//# sourceMappingURL=AgentConfiguration.js.map