"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PATCHES = void 0;
var _nodePath = _interopRequireDefault(require("node:path"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const PATCHES = exports.PATCHES = [{
  name: 'AppDynamics build plugin link',
  anchor: /^((\s*\n)*(\/\/.+\n|\/\*[^]*\*\/))*/g,
  // Place this patch after the first comment block of the file
  payload: '\n// Applies the AppDynamics build time instrumentation plugin.\n' + '// This should be placed at the top of your top-level build.gradle file.\n' + "apply from: '../node_modules/@appdynamics/react-native-agent/android/adeum.gradle'\n",
  target: _nodePath.default.join(process.cwd(), 'android/build.gradle')
}];
//# sourceMappingURL=patches.js.map