"use strict";

import InstrumentationModule from "../../native/InstrumentationModule.js";
/**
 * Generates headers used to correlate requests with business transactions.
 *
 * Usage:
 * Retrieve the list of headers and set those header values on each outgoing
 * HTTP request.
 *
 * @returns {RequestTrackerHeaders} - Correlation headers.
 */
function getServerCorrelationHeaders() {
  return InstrumentationModule.getServerCorrelationHeaders();
}
export default getServerCorrelationHeaders;
//# sourceMappingURL=getServerCorrelationHeaders.js.map