"use strict";

import { NativeModules, Platform } from 'react-native';
// import type NativeInterface from './NativeInterface';
// import type { Spec } from './NativeReactNativeAppdynamics';

const LINKING_ERROR = `The package 'ReactNativeAppdynamics' doesn't seem to be linked. Make sure: \n\n${Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
})}- You rebuilt the app after installing the package\n` + '- You are not using Expo Go\n';

// @ts-expect-error
const isTurboModuleEnabled = global.__turboModuleProxy != null;
const module = isTurboModuleEnabled ? require('./NativeReactNativeAppdynamics').default : NativeModules.ReactNativeAppdynamics;

// The native module – turbo or legacy
const InstrumentationModule = module ?? new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export default InstrumentationModule;
//# sourceMappingURL=InstrumentationModule.js.map