/**
 * Change the app key. Older beacons/reports will be discarded when app key is
 * changed.
 *
 * **NOTE:** Invoking this method has no effect unless the agent was already
 * initialized by calling one of the start methods.
 *
 * @param {string} appKey The new application key to use for reporting beacons.
 */
declare function changeAppKey(appKey: string): Promise<void>;
export default changeAppKey;
//# sourceMappingURL=changeAppKey.d.ts.map