import type { RequestTrackerHeaders } from '../objects/RequestTracker';
/**
 * Generates headers used to correlate requests with business transactions.
 *
 * Usage:
 * Retrieve the list of headers and set those header values on each outgoing
 * HTTP request.
 *
 * @returns {RequestTrackerHeaders} - Correlation headers.
 */
declare function getServerCorrelationHeaders(): Promise<RequestTrackerHeaders>;
export default getServerCorrelationHeaders;
//# sourceMappingURL=getServerCorrelationHeaders.d.ts.map