type SessionFrame = {
    updateName: (newName: string) => Promise<void>;
    end: () => Promise<void>;
};
/**
 * Object used to manually track custom screen frames throughout the app.
 *
 * @param {string} name Name of the new frame.
 * @see {@linkcode useScreenTracker} for a more specialized screen tracking mechanism.
 */
declare function startSessionFrame(name: string): Promise<SessionFrame>;
export { startSessionFrame, type SessionFrame };
//# sourceMappingURL=startSessionFrame.d.ts.map