"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _InstrumentationModule = _interopRequireDefault(require("../../native/InstrumentationModule.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Change the app key. Older beacons/reports will be discarded when app key is
 * changed.
 *
 * **NOTE:** Invoking this method has no effect unless the agent was already
 * initialized by calling one of the start methods.
 *
 * @param {string} appKey The new application key to use for reporting beacons.
 */
async function changeAppKey(appKey) {
  await _InstrumentationModule.default.changeAppKey(appKey);
}
var _default = exports.default = changeAppKey;
//# sourceMappingURL=changeAppKey.js.map