"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _InstrumentationModule = _interopRequireDefault(require("../../native/InstrumentationModule.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Generates headers used to correlate requests with business transactions.
 *
 * Usage:
 * Retrieve the list of headers and set those header values on each outgoing
 * HTTP request.
 *
 * @returns {RequestTrackerHeaders} - Correlation headers.
 */
function getServerCorrelationHeaders() {
  return _InstrumentationModule.default.getServerCorrelationHeaders();
}
var _default = exports.default = getServerCorrelationHeaders;
//# sourceMappingURL=getServerCorrelationHeaders.js.map