"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _InstrumentationModule = _interopRequireDefault(require("../../native/InstrumentationModule.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Starts next session and ends the current session.
 *
 * The session started using this API may be ended by inactivity timeout set
 * in the Application Configuration, before the next call to this API.
 */
async function startNextSession() {
  await _InstrumentationModule.default.startNextSession();
}
var _default = exports.default = startNextSession;
//# sourceMappingURL=startNextSession.js.map