"use strict";

import InstrumentationModule from "../../native/InstrumentationModule.js";

/**
 * Starts next session and ends the current session.
 *
 * The session started using this API may be ended by inactivity timeout set
 * in the Application Configuration, before the next call to this API.
 */
async function startNextSession() {
  await InstrumentationModule.startNextSession();
}
export default startNextSession;
//# sourceMappingURL=startNextSession.js.map