"use strict";

import InstrumentationModule from "../../native/InstrumentationModule.js";
var LoggingLevel = function (LoggingLevel) {
  LoggingLevel[LoggingLevel["VERBOSE"] = InstrumentationModule.getConstants().LOGGING_LEVEL_VERBOSE] = "VERBOSE";
  LoggingLevel[LoggingLevel["INFO"] = InstrumentationModule.getConstants().LOGGING_LEVEL_INFO] = "INFO";
  LoggingLevel[LoggingLevel["NONE"] = InstrumentationModule.getConstants().LOGGING_LEVEL_NONE] = "NONE";
  return LoggingLevel;
}(LoggingLevel || {});
/**
 * Configuration parameters of the AppDynamics SDK.
 *
 * Most users can set up their configuration like this:
 *
 * ```js
 * Instrumentation.start({
 *      appKey: "ABC-DEF-GHI", // Replace with your actual application key
 * });

 *
 * The other parameters let you tune advanced features of the agent. Learn more about these concepts in the
 * [official documentation](https://docs.appdynamics.com/display/PRO45/Mobile+Real+User+Monitoring).
 */
export { LoggingLevel };
//# sourceMappingURL=AgentConfiguration.js.map