"use strict";

import { TurboModuleRegistry } from 'react-native';

/*
 * JavaScript spec files must be named Native<MODULE_NAME>.js,
 * and they export a TurboModuleRegistry Spec UnsafeObject.
 *
 * https://reactnative.dev/docs/new-architecture-library-intro?fabric-component-backward-compatibility=TypeScript
 */

/*
 * TODO: Change UnsafeObjects to real types (e.g. ADError, TrackedScreen) when TS
 * support for Codegen improves.
 *
 * Aim to be as specific as possible for stronger type-safety, even with other
 * types. Atm, there is no strong support to do better.
 */

export default TurboModuleRegistry.getEnforcing('ReactNativeAppdynamics');
//# sourceMappingURL=NativeReactNativeAppdynamics.js.map