import InstrumentationModule from '../../native/InstrumentationModule';

/**
 * Starts next session and ends the current session.
 *
 * The session started using this API may be ended by inactivity timeout set
 * in the Application Configuration, before the next call to this API.
 */
async function startNextSession(): Promise<void> {
  await InstrumentationModule.startNextSession();
}

export default startNextSession;
